import { Logger } from './logger/index.js';
export declare class Timeout {
    seconds: number;
    callback: (logger: Logger) => Promise<void>;
    constructor(seconds: number | undefined, callback: (logger: Logger) => Promise<void>);
    get milliseconds(): number;
}
